FlashPlayer 10 is required